> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pureclarity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Forget User API

> API endpoint for anonymizing user data in compliance with GDPR

# Forget User API

Once submitted, PureClarity will schedule a task to remove all potentially identifiable data about the user including any email address associated with the user. For security reasons all forgotten email addresses are stored securely as a hashed value which means that the system can tell if the email address has already been forgotten without identifying the original email address. Once a user has been forgotten there is no way to store data again for this user. PureClarity will also never send them any emails.

## API Base URL

**EU Region:** `https://api-eu-w-1.pureclarity.net/api/user/forget`

**US Region:** `https://api-us-e-1.pureclarity.net/api/user/forget`

## Endpoint

### POST /api/user/forget

Anonymize all user data for GDPR compliance

## Request Schema

<ParamField path="AccessKey" type="string" required>
  Your store views unique access key. This can be found in the PureClarity Admin console
</ParamField>

<ParamField path="SecretKey" type="string" required>
  The secret key provided for all store view level calls. This can be found in the PureClarity Admin console. Remember never to disclose your SecretKey
</ParamField>

<ParamField path="Identifier" type="string" required>
  The unique identifier used to identify the user/account on your site. This should be the same identifier your site sends in customer\_detail and order\_track events as well as in the user feeds
</ParamField>

## Example Request

```json theme={null}
{
  "AccessKey": "your-access-key",
  "SecretKey": "your-secret-key",
  "Identifier": "user@example.com"
}
```

## Example Response

**Success (200):**

```
The request was submitted successfully
```

## Important Notes

<Warning>
  Once a user has been forgotten, there is no way to store data again for this user. PureClarity will never send them any emails.
</Warning>

<Note>
  The Identifier should match the same value used in:

  * `customer_details` tracking events
  * `order` tracking events
  * User data feeds
</Note>

## Related Documentation

* [GDPR Overview](/docs/compliance/gdpr/overview) - Complete GDPR compliance guide
* [Forget User](/integrations/custom/api-reference/gdpr/forget-user) - Additional GDPR documentation
